package cc.smtweb.system.bpm.web.design.catalog;

import cc.smtweb.framework.core.annotation.SwTable;
import cc.smtweb.framework.core.db.impl.DefaultEntity;

/**
 * Created by Akmm at 2022/3/1 15:35
 */
@SwTable("ASP_MODEL_CATALOG")
public class ModelCatalog extends DefaultEntity {
    public static final String ENTITY_NAME = "ASP_MODEL_CATALOG";

    public ModelCatalog() {
        super(ENTITY_NAME);
    }

    private long getMcId() {
        return getLong("mc_id");
    }

    private void setMcId(long mcId) {
        put("mc_id", mcId);
    }

    private long getMcParentId() {
        return getLong("mc_parent_id");
    }

    private void setMcParentId(long mcParentId) {
        put("mc_parent_id", mcParentId);
    }

    private String getMcCode() {
        return getStr("mc_code");
    }

    private void setMcCode(String mcCode) {
        put("mc_code", mcCode);
    }

    private String getMcName() {
        return getStr("mc_name");
    }

    private void setMcName(String mcName) {
        put("mc_name", mcName);
    }

    private long getMcPrjId() {
        return getLong("mc_prj_id");
    }

    private void setMcPrjId(long mcPrjId) {
        put("mc_prj_id", mcPrjId);
    }

    private long getMcCreateUid() {
        return getLong("mc_create_uid");
    }

    private void setMcCreateUid(long mcCreateUid) {
        put("mc_create_uid", mcCreateUid);
    }

    private long getMcUpdateUid() {
        return getLong("mc_update_uid");
    }

    private void setMcUpdateUid(long mcUpdateUid) {
        put("mc_update_uid", mcUpdateUid);
    }

    private long getMcCreateAt() {
        return getLong("mc_create_at");
    }

    private void setMcCreateAt(long mcCreateAt) {
        put("mc_create_at", mcCreateAt);
    }

    private long getMcUpdateAt() {
        return getLong("mc_update_at");
    }

    private void setMcUpdateAt(long mcUpdateAt) {
        put("mc_update_at", mcUpdateAt);
    }
}
